import { z } from 'zod'

export const LogLevel = z.enum(['fatal', 'error', 'warn', 'info', 'debug', 'trace'])
export type LogLevel = z.infer<typeof LogLevel>

export const AppConfigUpdateSchema = z.object({
  value: z.union([z.string(), z.number(), z.boolean(), z.null()]),
})
export type AppConfigUpdateInput = z.infer<typeof AppConfigUpdateSchema>
